:root {
  /* Multicam */
  --cream: #b8a78b;
  --dark_brown: #48352f;
  --tan: #967860;
  --brown: #6f573f;
  --dark_green: #5a613f;
  --olive: #8c7d50;
  --pale_green: #85755c;
  /* UK DPM */
  --dpm-blk-o: rgb(28, 34, 46);
  --dpm-blk-t: rgba(28, 34, 46, 0.65);
  --dpm-brn-o: rgb(96, 68, 57);
  --dpm-brn-t: rgba(96, 68, 57, 0.65);
  --dpm-grn-o: rgb(65, 83, 59);
  --dpm-grn-t: rgba(65, 83, 59, 0.40);
  --dpm-tan-o: rgb(158, 154, 117);
  --dpm-tan-t: rgba(158, 154, 117, 0.65);
}

html {
  box-sizing: border-box;
  font-size: 16px;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

ol,
ul {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}

address,
table {
  margin-bottom: 1em;
  margin-left: 1em;
}

/* table,
td {
  border: 1px solid black;
  border-collapse: collapse;
} */

td {
  padding: 0.2em 0.5em 0.2em 0;
}

/* Shared Styles */

body {
  display: flex;
  flex-direction: column;
  height: 100vh;
  font-family: Roboto, Helvetica, sans-serif;
  font-weight: 500;
  background-color: var(--dpm-tan-t);
}

.header-wrapper,
.container-wrapper,
.footer-wrapper {
  width: 100%;
}

.header-wrapper,
.footer-wrapper {
/*  background-color: var(--dpm-blk-t); */
  background-color: var(--dpm-grn-t);
}

.container-wrapper {
  background-color: var(--dpm-grn-t);
  flex-grow: 1;
}

.container,
header,
footer {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 1em;
}

/* Content */

.container {
  color: var(--dpm-blk-o);
  background-color: var(--dpm-tan-o);
  height: 100%;
  position: relative;
}

.content-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* z-index: -1; */
  display: none;
}

.content h1 {
  text-align: center;
}

.content h1,
.content h2,
.content h3,
.content p {
  margin-bottom: 0.75em;
}

.content ul {
  margin-left: 1em;
  margin-bottom: 1.5em;
}

.content li {
  margin-bottom: 0.5em;
}

.content a {
  text-decoration: none;
  color: var(--dpm-blk-o);
}

.content a:hover {
  text-decoration: underline;
  cursor: pointer;
}

.content > :last-child {
  margin-bottom: 3em;
}

/* Header */

header {
  display: flex;
  justify-content: space-between;
  background-color: var(--dpm-blk-o);
  color: var(--dpm-tan-o);
}

.header-link a {
  color: var(--dpm-tan-o);
  text-decoration: none;
  cursor: pointer;
}

header button {
  background-color: transparent;
  border: none;
  padding: 0.3em;
  cursor: pointer;
  transition: opacity 0.5s;
}

header button:hover {
  background-color: var(--dpm-grn-o);
}

header button svg {
  stroke: var(--dpm-tan-o);
  stroke-width: 1;
  stroke-linecap: round;
}

/* Footer */

footer {
  background-color: var(--dpm-blk-o);
  color: var(--dpm-tan-o);
  text-align: center;
}

footer ul {
  margin-bottom: 1em;
}

footer .nav li {
  display: inline;
}

footer .nav li + li {
  margin-left: 1em;
}

footer .nav a {
  color: var(--dpm-tan-o);
  text-decoration: none;
  cursor: pointer;
}

footer .nav a:hover {
  text-decoration: underline;
}

.content-panel {
  padding: 1em 2em;
  border-radius: 5px;
  margin-bottom: 1.5em;
}

.code {
  background-color: black;
  color: white;
  letter-spacing: 1px;
}

.comment {
  color: limegreen;
}

.output {
  background-color: white;
  color: blue;
}

.output h1 {
  margin-bottom: 0;
}

/* Side Bar */
.side-bar {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  z-index: -1;
  background-color: var(--dpm-brn-o);
  padding: 1em 1.5em;
  opacity: 0;
  transition: opacity 0.5s;
}

.side-nav {
  background-color: var(--dpm-brn-o);
}

.side-bar button {
  background-color: var(--dpm-tan-o);
  border: none;
  border-radius: 0.25em;
  padding: 0.25em 0.5em;
  margin-bottom: 0.75em;
  /* font-size: 1.125rem; */
}

.side-bar button:hover {
  background-color: var(--dpm-blk-o);
  color: var(--dpm-tan-o);
}

.side-bar li {
  margin-bottom: 0.125em;
}

.side-bar a {
  color: var(--dpm-tan-o);
  text-decoration: none;
  font-size: 1.2rem;
}

.side-bar a:hover {
  text-decoration: underline;
  cursor: pointer;
}

.copyright-notice {
  margin-top: 1em;
}
